package com.qmth.distributed.print.business.entity;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.teachcloud.common.base.BaseEntity;
import com.qmth.teachcloud.common.enums.QuestionType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 * 分析-试卷结构（蓝图）表
 * </p>
 *
 * @author wangliang
 * @since 2022-05-20
 */
@ApiModel(value="GradePaperStruct对象", description="分析-试卷结构（蓝图）表")
public class GradePaperStruct extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "学校id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long schoolId;

    @ApiModelProperty(value = "试卷编号")
    private String paperNumber;

    @ApiModelProperty(value = "试卷类型")
    private String paperType;

    @ApiModelProperty(value = "试卷名称")
    private String paperName;

    @ApiModelProperty(value = "整题名称")
    private String questionName;

    @ApiModelProperty(value = "题号类型（客观题、主观题）")
    private QuestionType numberType;

    @ApiModelProperty(value = "大题号")
    private String bigQuestionNumber;

    @ApiModelProperty(value = "小题号(每一课程试卷的唯一标识)")
    private String smallQuestionNumber;

    @ApiModelProperty(value = "大题名称")
    private String bigTopicName;

    @ApiModelProperty(value = "满分")
    private BigDecimal fullScore;

    @ApiModelProperty(value = "计分规则")
    private String scoreRules;

    @ApiModelProperty(value = "规则说明")
    private String rulesDesc;

    @ApiModelProperty(value = "知识维度")
    private String knowledgeDimension;

    @ApiModelProperty(value = "能力维度")
    private String abilityDimension;

    @ApiModelProperty(value = "素养维度")
    private String literacyDimension;

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }

    public String getPaperType() {
        return paperType;
    }

    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }

    public String getPaperName() {
        return paperName;
    }

    public void setPaperName(String paperName) {
        this.paperName = paperName;
    }

    public String getQuestionName() {
        return questionName;
    }

    public void setQuestionName(String questionName) {
        this.questionName = questionName;
    }

    public QuestionType getNumberType() {
        return numberType;
    }

    public void setNumberType(QuestionType numberType) {
        this.numberType = numberType;
    }

    public String getBigQuestionNumber() {
        return bigQuestionNumber;
    }

    public void setBigQuestionNumber(String bigQuestionNumber) {
        this.bigQuestionNumber = bigQuestionNumber;
    }

    public String getSmallQuestionNumber() {
        return smallQuestionNumber;
    }

    public void setSmallQuestionNumber(String smallQuestionNumber) {
        this.smallQuestionNumber = smallQuestionNumber;
    }

    public String getBigTopicName() {
        return bigTopicName;
    }

    public void setBigTopicName(String bigTopicName) {
        this.bigTopicName = bigTopicName;
    }

    public BigDecimal getFullScore() {
        return fullScore;
    }

    public void setFullScore(BigDecimal fullScore) {
        this.fullScore = fullScore;
    }

    public String getScoreRules() {
        return scoreRules;
    }

    public void setScoreRules(String scoreRules) {
        this.scoreRules = scoreRules;
    }

    public String getRulesDesc() {
        return rulesDesc;
    }

    public void setRulesDesc(String rulesDesc) {
        this.rulesDesc = rulesDesc;
    }

    public String getKnowledgeDimension() {
        return knowledgeDimension;
    }

    public void setKnowledgeDimension(String knowledgeDimension) {
        this.knowledgeDimension = knowledgeDimension;
    }

    public String getAbilityDimension() {
        return abilityDimension;
    }

    public void setAbilityDimension(String abilityDimension) {
        this.abilityDimension = abilityDimension;
    }

    public String getLiteracyDimension() {
        return literacyDimension;
    }

    public void setLiteracyDimension(String literacyDimension) {
        this.literacyDimension = literacyDimension;
    }
}
